LogsUploadTransferStatusListener
InnerClasses
TaskProcessAsyncTransferStatusListener
ItemPendingRemoval
State
todoReason
Ljava/lang/String;
wanRingSource
Z
Ljava/util/Map;
I
ConstantValue
Ljava/lang/Class;
Synthetic
<init>
Code
LineNumberTable
LocalVariableTable
J
run
()V
e
Lcom/amazon/ebook/framework/device/comm/NoConnectionException;
Lcom/amazon/ebook/framework/service/comm/WirelessSwitchOffException;
Lcom/amazon/ebook/framework/service/comm/RequiredHardwareUnavailableException;
Lcom/amazon/ebook/pl/service/ServiceException;
Lcom/amazon/ebook/framework/device/comm/ServerException;
Ljava/util/ResourceBundle;
Lcom/amazon/ebook/framework/device/comm/CommunicationException;
Ljava/lang/Exception;
Ljava/lang/Error;
Ljava/lang/Throwable;
()Z
Ljava/util/List;
total_count
Exceptions
(Ljava/util/List;)Z
Ljava/io/IOException;
Ljava/io/Writer;
key
status
failCode
Ljava/util/Iterator;
Ljava/lang/StringBuffer;
Lcom/amazon/ebook/framework/impl/ws/FileOpenException;
(Ljava/util/List;Z)V
(IZ)V
Lcom/amazon/ebook/framework/BookletException;
(Z)V
(Ljava/lang/String;)Z
Ljava/io/ByteArrayInputStream;
Entry
Ljava/util/Map$Entry;
i
p
Ljava/util/Properties;
Ljava/util/HashMap;
(Ljava/lang/String;)Ljava/lang/Class;
Ljava/lang/ClassNotFoundException;
<clinit>
SourceFile
java/lang/ClassNotFoundException
java/lang/NoClassDefFoundError
java/util/Hashtable
java/lang/String
Received request to process todo list
Request aborted. WAN is turned off.
com.amazon.ebook.framework.impl.ws.k
Already processing todo list, queue new request
Scheduling todo list thread
java/util/Timer
TaskProcess.returning from scheduleTodoListTask
Process previously queued todo requests
com/amazon/ebook/framework/device/comm/NoConnectionException
No connection, aborting
com/amazon/ebook/framework/service/comm/WirelessSwitchOffException
Wan switched off during ToDo, aborting
com/amazon/ebook/framework/service/comm/RequiredHardwareUnavailableException
com/amazon/ebook/pl/service/ServiceException
One of the DBus publishers is not present
DBus Service Exception cought
com/amazon/ebook/framework/device/comm/ServerException
Exception during To Do operation, server returned a HTTP error code
com/amazon/ebook/framework/device/comm/CommunicationException
com.amazon.ebook.framework.resources.SystemMessages
wn.cant.connect.restart.msg
Exception during To Do operation
java/lang/Exception
java/lang/Error
Error during To Do operation
TaskProcess.process cleanup holdoff thread
todoCompleted
todoFailed
java/lang/Throwable
Error during LIPC post event
Start processing todo list
Uploading sidecar annot journal
fire up udl meta data sync operation
Processing ToDo items
Customer
upload system logs
java/lang/StringBuffer
next pull time: 
done processing todo list
java/util/ArrayList
TaskProcess.got items from the todo list. Num items=
Start processing item.
GET
NAMS
COMPLETED
retry
ASYNC
Exception caught executing GET command:
FAILED
DOWNLOAD
CRED
Unable to refresh device credentials:
SCFG
Error downloading configuration file
SPHS
Error persisting SPH schedule:
java/io/IOException
Exception caught executing DOWNLOAD command:
CANCEL
Cancelling item with key "
" with priority "
" and value "
ABORTED
Caught CommunicationException
Cancel finished
DEL
REMOVE
Removing file with key "
Delete finished
DIS
NNOW
Saving NowNow answer with key: 
java/io/File
An error occurred while trying to clean up
Error saving NowNow answer:
Posting alert with key "
SND
Exception caught executing SND command:
UPD_ANOT
UPD_LPRD
Exception caught executing 
 command:
UPLOAD
LOGS
START_ASYNC
IN_PROGRESS_ASYNC
SNAP
Error uploading watermark snapshot
Error uploading SPH schedule
Error uploading configuration file
Exception caught executing UPLOAD command:
SET
ACSR
Error saving account secrets:
Error parsing config
EBOK,EBSP,NWPR,MAGZ,AZW2,FEED,MESG,PSNL,PDOC,AUDI,AUSP
RETRY_LATER
java/lang/RuntimeException
Abort Todo Process, cannot continue
TaskProcess.user store not available, abort todo processing.
Downloading file with key: 
 with priority: 
 and value: 
FEED
PSNL
DEDUPED
currentTransportMethod,currentCountry
com/amazon/ebook/framework/impl/ws/FileOpenException
IN_PROGRESS_ASYNC_RETRY_LATER
fireDeleteEvents - FAPP288 - Sending message 

TaskProcess.fireDownloadEvents - FAPP288 - Sending message 
com/amazon/ebook/framework/BookletException
TaskProcess.fireNoNewItemsEvents - FAPP288 - Sending message 
start
Parsing new dynamic configuration
java/util/Properties
java/io/ByteArrayInputStream
UTF-8
load
ParsingException
Error parsing dynamic configuration.
new config: 
java/util/HashMap
java/util/Map$Entry
Replacing config key:
 with: 
wan.proxy.host.
wan.proxy.port.
wan.proxy.non_proxy_hosts.
url.fints
cmd.get.todo
url.todo
Poll
next_pull_time
ToDo
Invalid response
Invalid dynamic configuration, invalid response. Restoring original configuration.
Invalid dynamic configuration, CommunicationException. Restoring original configuration.
success
Successfully installed new dynamic configuration.
TaskProcess
ProcessingTaskList
loc
WanSwitchOff
NoConnection
reason
ServerException
httpCode
DBusService
Error
UnknownAction
action
ProcessingToDo
numItems
ProcessingStarting
type
ProcessingFinished
ProcessAsyncTransferStatusFinished
resultingStatus
ProcessAsyncTransferStatusStarting
id
ProcessAsyncTransferStatusError
title
download
error
message
ReceivedRequest
StartingProcessing
WrongXmlFormat
DeferStatus
defer
Deferring
ItemRemovalFailure
cdeKey
DynamicConfig
DynamicConfigFailure
property
java/util/TimerTask
java/lang/Class
forName
initCause
(Ljava/lang/Throwable;)Ljava/lang/Throwable;
WANRingSource
()Ljava/lang/String;
java/lang/Math
max
(JJ)J
java/lang/Integer
toString
(I)Ljava/lang/String;
(Ljava/lang/String;Ljava/lang/Throwable;)V
schedule
(Ljava/util/TimerTask;J)V
(ILjava/lang/String;)V
()I
getMessage
java/util/ResourceBundle
getBundle
(Ljava/lang/String;)Ljava/util/ResourceBundle;
getString
(Ljava/lang/String;)Ljava/lang/String;
(Ljava/lang/String;I)V
(Ljava/lang/String;)V
(Ljava/lang/String;Ljava/util/List;)V
getWebServices
(Z)Z
()Lcom/amazon/ebook/framework/impl/catalog/UDLStorage;
com/amazon/ebook/framework/impl/catalog/UDLStorage
(ILjava/lang/String;Z)Ljava/lang/String;
()Ljava/util/List;
java/util/List
size
equals
(Ljava/lang/Object;)Z
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
(I)Ljava/lang/StringBuffer;
iterator
()Ljava/util/Iterator;
java/util/Iterator
hasNext
next
()Ljava/lang/Object;
getKey
(Ljava/lang/String;Z)Ljava/lang/String;
RequestResult
getValue
(C)Ljava/lang/StringBuffer;
(Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;
(I)V
isEmpty
add
[Ljava/lang/String;
(Ljava/lang/String;)Ljava/lang/Object;
separator
java/lang/System
currentTimeMillis
()J
java/lang/Long
(J)Ljava/lang/String;
exists
(Ljava/lang/String;)Ljava/io/Writer;
java/io/Writer
write
close
delete
(Ljava/lang/String;Ljava/lang/String;Z)Z
(Ljava/lang/String;Ljava/lang/String;Z)I
(Ljava/lang/String;Z)Z
(Ljava/lang/String;Ljava/lang/String;)Z
length
(Ljava/lang/StringBuffer;Ljava/lang/String;)Z
getBytes
(Ljava/lang/String;)[B
([B)V
(Ljava/io/InputStream;)V
(I)Z
getAmazonServices
entrySet
()Ljava/util/Set;
java/util/Set
java/util/Map
put
(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
(Ljava/lang/String;Ljava/lang/String;)V
(Ljava/lang/Object;)Ljava/lang/StringBuffer;
java/util/Locale
US
Ljava/util/Locale;
toLowerCase
(Ljava/util/Locale;)Ljava/lang/String;
startsWith
indexOf
(Ljava/lang/String;)I
remove
get
(Ljava/lang/Object;)Ljava/lang/Object;
(Ljava/lang/String;[Ljava/lang/String;)V
a
A
b
Lcom/amazon/ebook/util/b/i;
B
c
C
d
D
E
f
F
g
G
h
H
j
k
K
l
L
Lcom/amazon/ebook/util/b/e;
m
M
n
N
o
Lcom/amazon/ebook/framework/impl/ws/g;
O
P
q
Lcom/amazon/ebook/framework/impl/ws/w;
Q
Lcom/amazon/ebook/framework/impl/booklet/a;
(Lcom/amazon/ebook/framework/impl/ws/k;Lcom/amazon/ebook/framework/impl/ws/b/d;Ljava/lang/String;Ljava/lang/String;Z)Z
Lcom/amazon/ebook/framework/impl/ws/k;
Lcom/amazon/ebook/framework/impl/ws/b/d;
()Lcom/amazon/ebook/util/b/i;
(Lcom/amazon/ebook/framework/impl/ws/k;Z)V
(Lcom/amazon/ebook/framework/impl/ws/k;IZ)V
(Lcom/amazon/ebook/framework/impl/ws/k;)Ljava/util/Map;
(Lcom/amazon/ebook/framework/impl/ws/k;)Lcom/amazon/ebook/framework/impl/booklet/a;
(Lcom/amazon/ebook/framework/impl/ws/k;)Lcom/amazon/ebook/framework/impl/ws/w;
()Lcom/amazon/ebook/util/b/e;
(Lcom/amazon/ebook/framework/impl/ws/b/d;)Lcom/amazon/ebook/framework/impl/ws/j;
Lcom/amazon/ebook/framework/impl/ws/j;
(Lcom/amazon/ebook/framework/impl/ws/b/d;Ljava/lang/String;Ljava/lang/String;Z)Z
Lcom/amazon/ebook/util/c/e;
Lcom/amazon/ebook/framework/gui/a;
Lcom/amazon/ebook/framework/kos/event/d;
(Lcom/amazon/ebook/framework/impl/ws/b/d;)Ljava/lang/String;
Lcom/amazon/ebook/framework/device/comm/ws/h;
Lcom/amazon/ebook/framework/device/comm/ws/b;
Lcom/amazon/ebook/framework/impl/ws/h;
Lcom/amazon/ebook/framework/impl/ws/u;
Lcom/amazon/ebook/framework/impl/ws/b/a;
Lcom/amazon/ebook/framework/gui/foundation/eb;
(Lcom/amazon/ebook/framework/impl/booklet/a;Lcom/amazon/ebook/framework/impl/ws/w;JLjava/lang/String;Ljava/lang/String;Z)V
(Lcom/amazon/ebook/framework/impl/booklet/a;Lcom/amazon/ebook/framework/impl/ws/w;Ljava/lang/String;Ljava/lang/String;Z)V
com/amazon/ebook/framework/impl/ws/k
cyb
(Ljava/lang/String;)Lcom/amazon/ebook/util/b/e;
(Lcom/amazon/ebook/framework/impl/ws/j;)V
(Lcom/amazon/ebook/framework/impl/ws/j;)Z
(Lcom/amazon/ebook/framework/impl/ws/k;Lcom/amazon/ebook/framework/impl/ws/b/d;Ljava/lang/String;Ljava/lang/String;Z)V
()Lcom/amazon/ebook/util/c/e;
GA
hA
(Lcom/amazon/ebook/framework/kos/event/d;)V
(ILjava/lang/Object;Z)Lcom/amazon/ebook/framework/kos/event/d;
()Lcom/amazon/ebook/framework/service/e;
HA
()Lcom/amazon/ebook/framework/impl/ws/b/d;
(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;ILjava/util/List;ZLcom/amazon/ebook/framework/device/comm/ws/b;)V
(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;ZIILjava/util/List;ZZLjava/lang/String;ZLcom/amazon/ebook/framework/device/comm/ws/b;)V
(Lcom/amazon/ebook/framework/impl/ws/k;Lcom/amazon/ebook/framework/impl/ws/b/d;Ljava/lang/String;Z)V
(Ljava/lang/String;Ljava/lang/String;)Lcom/amazon/ebook/framework/kos/content/d;
()Lcom/amazon/ebook/framework/impl/device/c;
(Lcom/amazon/ebook/pl/config/a;Lcom/amazon/ebook/pl/service/p;)Lcom/amazon/ebook/framework/impl/catalog/x;
(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;ZZILjava/util/List;Lcom/amazon/ebook/framework/device/comm/ws/b;)V
(Ljava/lang/String;Ljava/lang/String;Lcom/amazon/ebook/framework/device/comm/ws/i;Z)I
()Lcom/amazon/ebook/framework/device/comm/ws/i;
R
()Lcom/amazon/ebook/framework/service/a;
(Lcom/amazon/ebook/framework/b/a;Ljava/util/List;Lcom/amazon/ebook/framework/kos/a/d;)I
(Lcom/amazon/ebook/framework/b/a;Ljava/lang/String;Ljava/lang/String;)Ljava/util/List;
()Lcom/amazon/ebook/framework/device/comm/ws/b;
(Ljava/lang/String;)Lcom/amazon/ebook/framework/device/comm/ws/h;
(Lcom/amazon/ebook/pl/config/a;Lcom/amazon/ebook/pl/service/p;Lcom/amazon/ebook/pl/service/r;)Lcom/amazon/ebook/framework/impl/ws/m;
()Lcom/amazon/ebook/pl/service/r;
()Lcom/amazon/ebook/pl/service/p;
()Lcom/amazon/ebook/pl/config/a;
(Ljava/lang/String;Lcom/amazon/ebook/framework/device/comm/f;ZZZ)Ljava/lang/Object;
Lcom/amazon/ebook/framework/device/comm/f;
()Lcom/amazon/ebook/framework/device/comm/a;
(Lcom/amazon/ebook/framework/b/a;Ljava/lang/String;)V
(Ljava/lang/String;)Lcom/amazon/ebook/framework/impl/ws/b/a;
()Lcom/amazon/ebook/framework/device/comm/ws/f;
()Lcom/amazon/ebook/framework/service/b;
()Lcom/amazon/ebook/framework/gui/a;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;)V
()Lcom/amazon/ebook/pl/service/m;
()Lcom/amazon/ebook/pl/a;
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
(Lcom/amazon/ebook/framework/gui/foundation/eb;)V
()Lcom/amazon/ebook/framework/gui/c;
(ILcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
(Lcom/amazon/ebook/framework/b/a;)V
()Lcom/amazon/ebook/framework/service/comm/a;
Lcom/amazon/ebook/pl/service/event/t;
com/amazon/ebook/pl/service/event/c
com/amazon/ebook/util/c/e
com/amazon/ebook/framework/service/e
com/amazon/ebook/framework/impl/o
com/amazon/ebook/util/f/b
com/amazon/ebook/framework/impl/device/c
com/amazon/ebook/framework/impl/catalog/x
com/amazon/ebook/util/c/m
com/amazon/ebook/framework/service/a
com/amazon/ebook/framework/kos/c/e
com/amazon/ebook/framework/device/comm/ws/h
com/amazon/ebook/framework/device/comm/ws/f
com/amazon/ebook/framework/impl/ws/m
com/amazon/ebook/framework/device/comm/a
com/amazon/ebook/framework/device/comm/f
com/amazon/ebook/framework/impl/ws/s
com/amazon/ebook/framework/impl/ws/b/a
com/amazon/ebook/framework/impl/ws/w
com/amazon/ebook/framework/service/b
com/amazon/ebook/framework/gui/a
com/amazon/ebook/pl/service/m
com/amazon/ebook/pl/a
com/amazon/ebook/framework/gui/c
com/amazon/ebook/framework/kos/content/catalog/l
com/amazon/ebook/framework/service/comm/a
com/amazon/ebook/framework/impl/booklet/a
com/amazon/ebook/util/b/e
com/amazon/ebook/pl/service/event/t
com/amazon/ebook/util/b/i
com/amazon/ebook/framework/impl/ws/j
com/amazon/ebook/framework/impl/ws/i
com/amazon/ebook/framework/impl/ws/h
com/amazon/ebook/framework/impl/ws/u
com/amazon/ebook/framework/impl/ws/b/d
com/amazon/ebook/framework/impl/ws/f
com/amazon/ebook/framework/impl/device/h
com/amazon/ebook/framework/gui/foundation/eb
com/amazon/ebook/framework/impl/ws/g
